SimpleReflectiveMBeanInfoAssembler (Spring Framework 3.2.1.RELEASE API)
Date: 2013-01-24

org.springframework.jmx.export.assembler

## Class SimpleReflectiveMBeanInfoAssembler

- java.lang.Object
- - org.springframework.jmx.export.assembler.AbstractMBeanInfoAssembler
  - - org.springframework.jmx.export.assembler.AbstractReflectiveMBeanInfoAssembler
    - - org.springframework.jmx.export.assembler.AbstractConfigurableMBeanInfoAssembler
      - - org.springframework.jmx.export.assembler.SimpleReflectiveMBeanInfoAssembler

- All Implemented Interfaces:
    MBeanInfoAssembler

      public class SimpleReflectiveMBeanInfoAssembler
      extends AbstractConfigurableMBeanInfoAssembler

  Simple subclass of `AbstractReflectiveMBeanInfoAssembler` that always votes yes for method and property inclusion, effectively exposing all public methods and properties as operations and attributes.
  Since:
    1.2
  Author:
    Rob Harrop, Juergen Hoeller

- - ### Field Summary

    - ### Fields inherited from class org.springframework.jmx.export.assembler.AbstractReflectiveMBeanInfoAssembler

      `ATTRIBUTE_OPERATION_VISIBILITY, FIELD_CLASS, FIELD_CURRENCY_TIME_LIMIT, FIELD_DEFAULT, FIELD_DISPLAY_NAME, FIELD_GET_METHOD, FIELD_LOG, FIELD_LOG_FILE, FIELD_METRIC_CATEGORY, FIELD_METRIC_TYPE, FIELD_PERSIST_LOCATION, FIELD_PERSIST_NAME, FIELD_PERSIST_PERIOD, FIELD_PERSIST_POLICY, FIELD_ROLE, FIELD_SET_METHOD, FIELD_UNITS, FIELD_VISIBILITY, ROLE_GETTER, ROLE_OPERATION, ROLE_SETTER`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SimpleReflectiveMBeanInfoAssembler()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected boolean` | `includeOperation(Method method, String beanKey)` Always returns `true`.
    `protected boolean` | `includeReadAttribute(Method method, String beanKey)` Always returns `true`.
    `protected boolean` | `includeWriteAttribute(Method method, String beanKey)` Always returns `true`.

    - ### Methods inherited from class org.springframework.jmx.export.assembler.AbstractConfigurableMBeanInfoAssembler

      `getNotificationInfo, setNotificationInfoMappings, setNotificationInfos`

    - ### Methods inherited from class org.springframework.jmx.export.assembler.AbstractReflectiveMBeanInfoAssembler

      `applyCurrencyTimeLimit, applyDefaultCurrencyTimeLimit, createModelMBeanOperationInfo, getAttributeDescription, getAttributeInfo, getClassForDescriptor, getDefaultCurrencyTimeLimit, getOperationDescription, getOperationInfo, getOperationParameters, getParameterNameDiscoverer, isExposeClassDescriptor, isUseStrictCasing, populateAttributeDescriptor, populateMBeanDescriptor, populateOperationDescriptor, setDefaultCurrencyTimeLimit, setExposeClassDescriptor, setParameterNameDiscoverer, setUseStrictCasing`

    - ### Methods inherited from class org.springframework.jmx.export.assembler.AbstractMBeanInfoAssembler

      `checkManagedBean, getClassName, getClassToExpose, getClassToExpose, getConstructorInfo, getDescription, getMBeanInfo, getTargetClass`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SimpleReflectiveMBeanInfoAssembler

          public SimpleReflectiveMBeanInfoAssembler()

  - ### Method Detail

    - #### includeReadAttribute

          protected boolean includeReadAttribute(Method method,
                                     String beanKey)

      Always returns `true`.
      Specified by:
        `includeReadAttribute` in class `AbstractReflectiveMBeanInfoAssembler`
      Parameters:
        `method` - the accessor `Method`
        `beanKey` - the key associated with the MBean in the beans map of the `MBeanExporter`
      Returns:
        `true` if the accessor should be included in the management interface, otherwise `false`

    - #### includeWriteAttribute

          protected boolean includeWriteAttribute(Method method,
                                      String beanKey)

      Always returns `true`.
      Specified by:
        `includeWriteAttribute` in class `AbstractReflectiveMBeanInfoAssembler`
      Parameters:
        `method` - the mutator `Method`.
        `beanKey` - the key associated with the MBean in the beans map of the `MBeanExporter`
      Returns:
        `true` if the mutator should be included in the management interface, otherwise `false`

    - #### includeOperation

          protected boolean includeOperation(Method method,
                                 String beanKey)

      Always returns `true`.
      Specified by:
        `includeOperation` in class `AbstractReflectiveMBeanInfoAssembler`
      Parameters:
        `method` - the operation method
        `beanKey` - the key associated with the MBean in the beans map of the `MBeanExporter`
      Returns:
        whether the operation should be included in the management interface